
/*      IOCTL        NUM     Function                      argument       */
/* -----------------------------------------------------------------------*/
#define MIOSETDAC0   1    /* set DAC 0                     int            */
#define MIOSETDAC1   2    /* set DAC 1                     int            */

#define MIOADDTRACE  3    /* add Wavetrace                 *WaveTrace     */
#define MIOWGENRESET 4    /* clear Tracebuffer             -              */
#define MIOWGENSTOP  5    /* STOP Wave Generator           -              */
#define MIOWGENSTART 6    /* START Wave Generator          -              */
#define MIOWGENSFREQ 7    /* Set Counter frequency         int            */
#define MIOWGENSTIM  8    /* Set Counter Base              int            */
#define MIOWGENSDAC  9    /* Set Dac Startvalue            int            */

#define MIOSETMUX    10   /* Set single Mux                int            */
#define MIOGETADC    11   /* Get Single Value              *AdcVal        */

#define MIOWGENCONT  12   /* continue                      -              */
#define MIOWGENSCHA  13   /* Set Wgen output chan.         int            */

#define MIOSETMODE   14   /* set DAQ mode                   int           */
#define MIODEBUG     15   /* set debug mode                 int           */
#define MIOWISRUN    16   /* WGEN Running ?                 -             */

#define MIODIOCNF    17   /* Configure DIO                 int            */
#define MIODIORD     18   /* Read DIO Lines                -              */
#define MIODIOWRT    19   /* Write DIO Lines               int            */  

#define MIORTSIRESET 20   /* Reset RTSI Switch             -              */
#define MIORTSISET   21   /* Load RTSI Switch              int            */
