
#include <mioP.h>



int mio_SetMux(int mux){
DBGin("mio_SetMux");
   DBGprint(DBG_DATA,("mux=0x%x",mux));
   mio_ClearMux();
   mio_AddMux(mux);
DBGout();
}


int mio_ClearMux(void){
DBGin("mio_ClearMux");
  outw(0x0000,MIO_MUXMEMCLR );
DBGout();
}

int mio_AddMux(int mux){
DBGin("mio_AddMux");
  outw(mux, MIO_MUXMEM);
  outw(0x00,MIO_MUXMEMLD);
  DBGprint(DBG_DATA,("(mux=0x%x)",mux));
DBGout();
}
