
#include <mioP.h>

#include <stdio.h>
#include <stdlib.h>

#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>


main(){

int fd;
int i;
int count;
int buf[513];

WaveTrace atrace;
int buf2[1025];

AdcVal avalue;

if((fd = open("/dev/atMIO",O_RDWR)) < 0){
  printf("Can't Open Device\n");
  exit(1);
}

/*
for(i=-2048;i<2048;i++)
ioctl(fd,MIOSETDAC0,i);
*/


for(i=0;i<512;i++) buf2[i] = i;
for(i=512;i<1024;i++) buf2[i] = 512-i;


ioctl(fd,MIOSETDAC1,4000);



ioctl(fd,MIOWGENSDAC,0 );
ioctl(fd,MIOWGENSFREQ,CLK_1KHZ );
/*ioctl(fd,MIOSETMODE,  DAQ_DACUP , DAQ_BIPOLAR );*/

atrace.type     = WAV_RAW;
atrace.duration = 1024 ;
atrace.buf      = buf2 ;

ioctl(fd,MIOADDTRACE,(WaveTrace *) &atrace);


/*
atrace.type     = WAV_RAMP;
atrace.duration = 10;
atrace.arg      = -10;
ioctl(fd,MIOADDTRACE,(WaveTrace *) &atrace);

atrace.arg      = -10;
atrace.duration = 20;
ioctl(fd,MIOADDTRACE,(WaveTrace *) &atrace);
atrace.arg      = 10;
atrace.duration = 20;
ioctl(fd,MIOADDTRACE,(WaveTrace *) &atrace);

atrace.type     = WAV_STEP;
atrace.duration = 10;
atrace.arg      = -100;
ioctl(fd,MIOADDTRACE,(WaveTrace *) &atrace);
*/

ioctl(fd,MIOWGENSTART,0);

#if 0
count = read(fd,buf,512);

for(i=0;i<count;i++) printf("buf[%d]=%d\n",i,buf[i]);

#endif

sleep(20);
ioctl(fd,MIOWGENRESET,0);







close(fd);


}
