
#include <mioP.h>

static int cmdregs[2] = {0x0000,0x0000};

/**********************************************************************/

void mio_set_cmd(int mask1,int mask2){
DBGin("mio_set_cmd");
    outw( mask1, MIO_CMDR1 );
    outw( mask2, MIO_CMDR2 );
    cmdregs[0] = mask1;
    cmdregs[1] = mask2;
DBGout();
}

/***********************************************************************/
void mio_update_cmd(void){
DBGin("mio_update_cmd");
    outw( cmdregs[0], MIO_CMDR1 );
    outw( cmdregs[1], MIO_CMDR2 );
    DBGprint(DBG_DATA,("(0x%x,0x%x)",cmdregs[0],cmdregs[1]));
DBGout();
}

/***********************************************************************/
void mio_set_bitcmd(int mask1,int mask2){
DBGin("mio_set_bitcmd");
    cmdregs[0] |= mask1;
    cmdregs[1] |= mask2;
    mio_update_cmd();
DBGout();
}

/***********************************************************************/
void mio_reset_bitcmd(int mask1, int mask2){
DBGin("mio_set_bitcmd");
    cmdregs[0] &= ~mask1;
    cmdregs[1] &= ~mask2;
    mio_update_cmd();
DBGout();
}




