#!../tcl/miosh -f

set values {}

button .quit -text "Quit" -command "mio close;destroy ."
button .doit -text "doit" -command "mio start"
button .readb -text "read" -command "Display"

blt_graph .graph
.graph element create line1 
#-xdata { 0 1 } -ydata { 0 1 }

mio open
mio set debug 1
mio set dac1 4095

mio set wgen clock 1khz

mio add sval 0
mio add trace step 2 0
mio add trace ramp 100 1
mio add trace ramp 200 -1
mio add trace ramp 100 1

mio set mux 0 3
mio set daq mode dacup bipolar 

mio start

proc Display { } {

set xvalues {}
set yvalues {}

mio read daq 512 xvalues yvalues
puts stdout $xvalues
puts stdout $yvalues

.graph element configure line1 -xdata $xvalues -ydata $yvalues

}

pack .quit .doit .readb .graph
